function blkStruct = slblocks
% SLBLOCKS  Defines the Simulink library block representation
%           for the Simulink Parameter Estimation

% Copyright 2006 The MathWorks, Inc.
% $Revision: 1.1.8.3 $  $Date: 2009/05/23 08:05:24 $

blkStruct.Name    = ['Motor' sprintf('\n') 'Control'];
blkStruct.OpenFcn = 'MCtool';
blkStruct.IsFlat  = 0; % Is this library "flat" (i.e. no subsystems)?
blkStruct.MaskInitialization = '';
blkStruct.MaskDisplay = '';

% Define the library list for the Simulink Library browser.
% Return the name of the library model and the name for it.
Browser(1).Library = 'FSL_MC_TOOL';
Browser(1).Name    = 'FSL Motor Control Toolbox';
Browser(1).IsFlat  = 0; % Is this library "flat" (i.e. no subsystems)?

blkStruct.Browser = Browser;

% Define information for model updater for updating obsolete blocks
blkStruct.ModelUpdaterMethods.fhUpdateModel = @rctBlocksSlupdateHelper;

